Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000669Core InformPropertiespublic2011-05-27 11:472014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000669: Internal error on incomplete declaration of an either/or property
DescriptionNominally a critical bug, but the problem messages make it pretty clear what the author forgot:

- - - -
Problem. The sentence 'A person is either a villain or a' seems to create a new property called 'a', but this is not a good name, and I think I must have misread what you wanted. Maybe the punctuation is wrong?

Problem. An internal error has occurred: registered a meaning which was only an article. The current sentence is 'A person is either a villain or a' ; the error was detected at line 571 of "Chapter 10/Excerpt Meanings.w".
- - - -
Minimal Source Text To Reproduce
A person is either a villain or a .
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0001330)
graham (administrator)
2011-10-08 01:11

Yes, an unfortunate failure of problem recovery. Fixed.

- Issue History
Date Modified Username Field Change
2011-05-27 11:47 EmacsUser New Issue
2011-05-27 11:48 EmacsUser Description Updated View Revisions
2011-05-27 11:48 EmacsUser Steps to Reproduce Updated View Revisions
2011-05-30 15:27 jmcgrew Status new => confirmed
2011-10-08 01:11 graham Note Added: 0001330
2011-10-08 01:11 graham Status confirmed => resolved
2011-10-08 01:11 graham Resolution open => fixed
2011-10-08 01:11 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker